- Main Page
- Related Pages
- Modules
- Classes
- Examples

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions

# MDynSweptTriangle Class Reference

# OpenMayaFX - API module for effects

Search for all occurrences

## Detailed Description

Class for evaluating surfaces as triangles over time.

MDynSweptTriangle provides access to surfaces (Nurbs and Polys) defined as triangles. It can only be accessed with the MFnDynSweptGeometryData class that is provided as an output from the geoConnector node.

The class provides parametric time evaluation for a triangle. Time is in the range 0 to 1, where 1 represents the current frame and 0 represents the previous frame. In this way you can get interpolated values of a triangle in motion.

Examples:

  simpleFluidEmitter.cpp, and sweptEmitter.cpp.

`#include <MDynSweptTriangle.h>`

List of all members.

## Public Member Functions
| MDynSweptTriangle ()
| The class constructor.
| ~MDynSweptTriangle ()
| The class destructor.
MVector | vertex (int vertexId, double t=1.0)
| Return the vertex requested by id, at the parametric time value.
MVector | normal (double t=1.0)
| Given a parametric time specified by 't', returns the normal of the triangle.
MVector | normalToPoint (double x, double y, double z, double t=1.0)
| Given a point, returns the normal of the triangle in the direction towards the point.
MVector | uvPoint (int vertexId)
| Given a vertex id, this method returns the UV point for the vertex as a MVector.
double | area ()
| This method returns the area.
## Static Public Member Functions
static const char * | className ()
| Returns the name of this class.

## Member Function Documentation

MVector vertex | ( | int | vertexId,
|  | double | t = `1.0`
| ) |  |

Search for all occurrences

Return the vertex requested by id, at the parametric time value.

Parameters:

  [in] | vertexId | index 0, 1, or 2
  [in] | t | time value in the range 1.0 to 0.0 t=1.0 is the current frame t=0.0 is the previous frame

Returns:
  The vertex position.

Examples:
  simpleFluidEmitter.cpp, and sweptEmitter.cpp.

MVector normal | ( | double | t = `1.0` | ) |

Search for all occurrences

Given a parametric time specified by 't', returns the normal of the triangle.

Parameters:

  [in] | t | time value in the range 1.0 to 0.0 t=1.0 is the current frame t=0.0 is the previous frame

Returns:
  A normalized vector

MVector normalToPoint | ( | double | x,
|  | double | y,
|  | double | z,
|  | double | t = `1.0`
| ) |  |

Search for all occurrences

Given a point, returns the normal of the triangle in the direction towards the point.

Determines which side of the triangle to return the normal.

Parameters:

  [in] | x | x component of the point
  [in] | y | y component of the point
  [in] | z | z component of the point
  [in] | t | time value in the range 1.0 to 0.0 t=1.0 is the current frame t=0.0 is the previous frame

Returns:
  A normalized vector

MVector uvPoint | ( | int | vertexId | ) |

Search for all occurrences

Given a vertex id, this method returns the UV point for the vertex as a MVector.

Parameters:

  [in] | vertexId | Id of the vertex for retrieving the UV point.

Returns:
  A vector. The u and v values are stored in the first two coordinates. The third coordinate is not meaningful.

Examples:
  simpleFluidEmitter.cpp.

double area | ( |  | ) |

Search for all occurrences

This method returns the area.

Returns:
  The area, as double value.

Examples:
  simpleFluidEmitter.cpp.

const char * className | ( |  | ) | `[static]`

Search for all occurrences

Returns the name of this class.

Returns:
  The name of this class.

MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle
MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle MDynSweptTriangle